Bug 821630 - RFE: Abrt selinux cases are not including sosreport
RFE: Abrt selinux cases are not including sosreport
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: abrt
BaseOS QE - Apps
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 03:35 EDT by Yogesh
Modified: 2013-07-10 07:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 07:35:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yogesh 2012-05-15 03:35:23 EDT
Description of problem:
Attachment file that comes with selinux cases reported via abrt does not contain sosreport

Version-Release number of selected component (if applicable):
RHEL6.2

How reproducible:
always

Steps to Reproduce:
1. Report any selinux via abrt.
  
Actual results:
attachment contains file content.xml and there is no sosreport included

Expected results:
Sosreport should be included. /var/log/audit.log and ps -efZ will provide important information. 


Additional info:
It should also provide
semanage login -l 
semanage user -l
id -Z
Comment 1 Jiri Moskovcak 2012-05-15 04:00:41 EDT
And did selinux cases ever contain the sosreport or is this a request to add it?
Comment 2 RHEL Product and Program Management 2012-05-19 00:04:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Yogesh 2012-05-21 09:32:33 EDT
Hi Jiri,

This is request to add sosreport with selinux report.
Comment 4 Jiri Moskovcak 2012-06-12 09:58:22 EDT
Actually ABRT doesn't catch AVCs in RHEL and libreport just sends the data to bugzilla, so it's setroubleshoot who needs to run sosreport and pass the resulting file to libreport
Comment 5 Yogesh 2012-06-12 11:32:05 EDT
Can we get at least this information?
# ps auxZ
# lsof -Z
# ls -lZ <target file>
Comment 6 Daniel Walsh 2012-06-12 12:14:09 EDT
The setroubleshoot report includes the source context of the process that created the AVC, and in most cases the target context of the object that is being denied.
Comment 7 Yogesh 2012-06-14 02:55:05 EDT
Even if we accept that setroubleshoot alert includes very less information, Can we do post-processing after we get the report in libreport?
For all selinux cases, we need to ask output of these commands as first question.
Comment 8 RHEL Product and Program Management 2012-07-10 02:52:30 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2012-07-10 21:57:48 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 11 Jiri Moskovcak 2013-07-10 07:20:09 EDT
These changes are quite big for this time in devel cycle -> moving to 6.6
Comment 12 RHEL Product and Program Management 2013-07-10 07:35:40 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.